// RSSMU_3GPP_ExampleDlg.h : header file
//

#if !defined(AFX_RSSMU_3GPP_EXAMPLEDLG_H__6AA7288F_89D4_4DE8_8716_2483A1A334AB__INCLUDED_)
#define AFX_RSSMU_3GPP_EXAMPLEDLG_H__6AA7288F_89D4_4DE8_8716_2483A1A334AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* Error check macro for driver functions */

#define FT_CHECKERR(fcal, err) if ((rssmu_status = fcal) < 0){\
								 rssmu_close(instrSession);\
        						 sprintf (buffer, "Error: %ld, %s", rssmu_status, err);\
        						 GetDlgItem(IDAPPLY)->EnableWindow (TRUE);\
								 AfxMessageBox (buffer, MB_OK);\
        						 return;\
        						 }
   

/////////////////////////////////////////////////////////////////////////////
// CRSSMU_3GPP_ExampleDlg dialog

class CRSSMU_3GPP_ExampleDlg : public CDialog
{
// Construction
public:
	CRSSMU_3GPP_ExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSSMU_3GPP_ExampleDlg)
	enum { IDD = IDD_RSSMU_3GPP_EXAMPLE_DIALOG };
	CButton	m_Exit;
	CButton	m_Apply;
	BOOL	m_Query;
	BOOL	m_Reset;
	double	m_RFFreq;
	double	m_RFLevel;
	BOOL	m_RFState;
	int		m_TestModel;
	BOOL	m_WCDMAState;
	CString	m_ResName;
	int		m_SeqLength;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSSMU_3GPP_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSSMU_3GPP_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnApply();
	afx_msg void OnKillfocusSequenceLength();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSSMU_3GPP_EXAMPLEDLG_H__6AA7288F_89D4_4DE8_8716_2483A1A334AB__INCLUDED_)
